LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
DataPilotFieldFilter Struct Reference

`import"DataPilotFieldFilter.idl";`

## Public Attributes
string | FieldName
| Field name. More...
string | MatchValueName
| String value that needs to match against, locale dependent. More...
string | MatchValue
| String value that needs to match against, locale independent. More...

## Member Data Documentation

## ◆ FieldName

string FieldName

Field name.

## ◆ MatchValue

string MatchValue

String value that needs to match against, locale independent.

This is the underlying value formatted in a standardized way, for example ISO 8601 YYYY-MM-DD for dates.

## ◆ MatchValueName

string MatchValueName

String value that needs to match against, locale dependent.

This is the value as name/label as also displayed in the filter popup dialog, maybe formatted by user applied number formats.

The documentation for this struct was generated from the following file:

- com/sun/star/sheet/DataPilotFieldFilter.idl